Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.
Not Found

Page Not Found

The page or file you are looking for has been moved or no longer exists.

The following links might help you find the content you need:


You can also search the Documentation Portal or visit the home page.

Table of Contents

Search

  1. Introduction
  2. Define settings for data collections
  3. Manage Data Marketplace content
  4. Manage data collections
  5. Manage requests, orders and consumer accesses
  6. Miscellaneous APIs
  7. Frequently Asked Questions

API Reference

API Reference

Response

Response

When you pass the API query parameters in the REST client, the client displays a response for the parameter values that you have entered.
The following example shows the response of an API call to reject an order:
{ "justification": "Justification", "deliveryRequests": "This order is to be cancelled from CAI", "requestedProvisionedTargetRef": “d02e28ea-6686-4954-85c7-d60c33e4e9c5”, "refId": "ORD-693", "status": "CANCELLED", "id": "ORD-693", "createdBy": { "displayName": "User1", "id": "6bX1o0lH3UmbPuF0OF5lkj", "name": "User1_name", "email": "ebc@xyz.com", "phone": "555-243-456", "status": "ACTIVE", "userInfo": {}, "isGroup": "true" }, "createdOn": "2022-07-21T17: 17: 16.901Z", "modifiedBy": { "displayName": "User1", "id": "6bX1o0lH3UmbPuF0OF5lkj", "name": "User1_name", "email": "ebc@xyz.com", "phone": "555-243-456", "status": "ACTIVE", "userInfo": {}, "isGroup": "true" }, "modifiedOn": "2022-07-22T07: 47: 23.384Z" }
The following table describes the parameters of each order that is rejected:
Parameter
Description
justification
Business justification of the action taken on the order.
deliveryRequests
Total count of orders that match the filters applied.
requestedProvisionedTargetRef
The delivery target requested by the Data User.
If the value of the
requestedProvisionedTargetRef
parameter is
null
, the order is created without a specific delivery target but rather uses the default delivery template.
For more information about how you can retrieve the details of the default delivery template, see Retrieve delivery templates.
refId
The reference identifier of the order.
status
The status of the order. If the status is
REJECTED
, the API call to reject the order was successful.
id
The system generated unique identifier of the order.
createdBy > displayName
Name of the user that created the order.
createdBy > id
The reference identifier of the order creator's user account.
createdBy > name
Username of the user that created the order.
createdBy > email
Email address of the user that created the order.
createdBy > phone
Contact number of the user that created the order.
createdBy > status
The status of the user account of the user that created the order.
  • If the status is
    ACTIVE
    , the user account is active.
  • If the status is
    INACTIVE
    , the user account is not active.
createdBy > userInfo
Details retrieved from the
My Data
page of the user account that placed the order.
createdBy > isGroup
You can use this parameter to confirm whether the user account is part of a group. It can have one of the following values:
  • If the parameter value is
    true
    , the user account is part of a group
  • If the parameter value is
    false
    , the user account isn't part of a group
createdOn
The date when the order was created.
modifiedBy > displayName
Name of the last user that modified the order.
modifiedBy > id
The reference identifier of the user account of the last user that modified the order.
modifiedBy > name
Username of the last user that modified the order.
modifiedBy > email
Email address of the last user that modified the order.
modifiedBy > phone
Contact number of the last user that modified the order.
modifiedBy > status
The status of the user account of the last user that modified the order.
  • If the status is
    ACTIVE
    , the user account is active.
  • If the status is
    INACTIVE
    , the user account is not active.
modifiedBy > userInfo
Details retrieved from the
My Data
page of the user account that last modified the order.
modifiedBy > isGroup
You can use this parameter to confirm whether the user account is part of a group. It can have one of the following values:
  • If the parameter value is
    true
    , the user account is part of a group
  • If the parameter value is
    false
    , the user account isn't part of a group
modifiedOn
The latest date when the order was modified.

0 COMMENTS

We’d like to hear from you!